<?

function dispConnection(){
  if ($_SERVER['HTTPS'] != "on") {
    echo '<div id="all_side">';
    echo '<p>Pour vous connecter au site, <strong>vous devez utiliser une connexion SSL</strong>!</p>';
    echo '</div>';
    return;
  }

  if ($_GET["fail"])
    dispConnectionFailure();
  elseif ($_SESSION["user_id"] == 0)
    dispConnectionLogin();
  else
    dispConnectionDisconnect();
}

function dispConnectionLogin() {
  $str = '<div id="all_side">';
  $str .= '<form id="connect" method="post" action="/">';
  $str .= '<ul>';
  $str .= '<h1>Connexion</h1>';
  $str .= '<li>Login : <input type="login" name="user_login" size="20" size="15" maxlength="20"></li>';
  $str .= '<li>Password : <input type="password" name="user_pass" size="15" maxlength="42"></li>';
  $str .= '<li><input type="submit" name="connect" value="Donne tout"></li>';
  $str .= '</ul>';
  $str .= '</form>';
  $str .= '</div>';
  echo $str;
}

function dispConnectionDisconnect() {
  $result = getOneUserById($_SESSION["user_id"]);
  if (mysql_num_rows($result) > 0) {
    $user = mysql_fetch_array($result);
    $str = '<div id="all_side">';
    $str .= '<form id="connect" method="post" action="/">';
    $str .= '<ul>';
    $str .= '<h1>D&eacute;connexion</h1>';
    $str .= '<li>Vous allez d&eacute;connect&eacute; l\'utilisateur <strong>'.$user["user_pseudo"].'</strong> (<em>'.$user["user_login"].'</em>) !</li>';
    $str .= '<li><input type="submit" name="disconnect" value="C\'est mon dernier mot"></li>';
    $str .= '</ul>';
    $str .= '</form>';
    $str .= '</div>';
  }
  echo $str;
}

function dispConnectionFailure() {
  $str = '<div id="all_side">';
  $str .= '<p>';
  $str .= '<strong>L\'authentification</strong> en tant que <em>'.$_GET["fail"].'</em> <strong>&agrave; &eacute;chou&eacute;e</strong>';
  $str .= '<br/><small><em>Pour vous connecter au site, vous devez utiliser une connexion SSL!</em></small>';
  $str .= '</p>';
  $str .= '</div>';
  echo $str;
}

?>
